> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset ontology

> Load the ontology for the specified dataset.



## OpenAPI

````yaml /api-reference/openapi.yml get /ontology/{username}/{namespace}/{datasetName}
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /ontology/{username}/{namespace}/{datasetName}:
    get:
      tags:
        - ontology
      summary: Get dataset ontology
      description: Load the ontology for the specified dataset.
      operationId: getConnectedLinks
      parameters:
        - name: namespace
          in: path
          description: Namespace for the dataset.
          required: true
          schema:
            type: string
          example: cinematography
        - name: datasetName
          in: path
          description: Name of the dataset.
          required: true
          schema:
            type: string
          examples:
            movies:
              summary: Movies
              value: movies
            actors:
              summary: Actors
              value: actors
        - name: username
          in: path
          description: The username associated with the request.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the dataset ontology.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OntologyResponse'
        '204':
          description: There is no ontology for the specified dataset.
components:
  schemas:
    OntologyResponse:
      type: array
      items:
        $ref: '#/components/schemas/ApiLink'
    ApiLink:
      required:
        - destination
        - hits
        - matchType
        - origin
      type: object
      properties:
        destination:
          type: string
          example: ri.user.examples.companies.other_addresses
        hits:
          type: integer
          format: int64
          example: 5
        matchType:
          type: string
          example: ExactMatch
        origin:
          type: string
          example: ri.user.examples.companies.nationalities
      example:
        destination: ri.user.examples.actor.name
        hits: 6
        matchType: ExactMatch
        origin: ri.user.examples.movies.director
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````